ドキュメント本文へスキップ
API

メールの種類をオンまたはオフにする

OpenEmail がその人に送るメールのうち、1 つの種類を停止または再開する。

PUT/account/notifications/email/{category}

実際の呼び出しをワークスペースに対して実行します。

PUT /account/notifications/email/{category}

OpenEmail がその人に送るメールのうち、1 つの種類を停止または再開する。

例

account:write が必要。category は activity または product で、enabled を false にするとそのメールが止まる。現在の通知設定を返す。

curl
curl -X PUT "$OE/account/notifications/email/product" -H "$AUTH" \  -H "Content-Type: application/json" -d '{ "enabled": false }'
レスポンス
{  "object": "notification_settings",  "email": [    { "category": "product", "label": "Product news", "description": "Occasional notes about what is new in OpenEmail.", "required": false, "enabled": false }  ],  "mutedWorkspaces": []}

account と billing はオフにできず、オフにしようとすると category に対する 422 invalid_parameter になる。

リファレンス